OTBGUI_HOMOLOGOUSPOINTSEXTRACTION(1)

NAME
otbgui_HomologousPointsExtraction - OTB HomologousPointsExtraction application

DESCRIPTION
This is the HomologousPointsExtraction application, version 5.2.0 allows one to compute homologous points between images using keypoints

Complete documentation: http://www.orfeo-toolbox.org/Applications/HomologousPointsExtraction.html

  Parameters:

-progress
    <boolean> Report progress

 -in1 <string> Input Image 1 (mandatory)

-band1
    <int32> Input band 1 (mandatory, default value is 1)

 -in2 <string> Input Image 2 (mandatory)

-band2
    <int32> Input band 2 (mandatory, default value is 1)

-algorithm
    <string> Keypoints detection algorithm [surf/sift] (mandatory, default value is surf)

-threshold
    <float> Distance threshold for matching (mandatory, default value is 0.6)

-backmatching
    <boolean> Use back-matching to filter matches. (optional, off by default)

-mode
    <string> Keypoints search mode [full/geobins] (mandatory, default value is full)

-mode.geobins.binsize
    <int32> Size of bin (mandatory, default value is 256)

-mode.geobins.binsizey <int32>
    Size of bin (y direction) (optional, off by default)

-mode.geobins.binstep
    <int32> Steps between bins (mandatory, default value is 256)

-mode.geobins.binstepy <int32>
    Steps between bins (y direction) (optional, off by default)

-mode.geobins.margin
    <int32> Margin from image border to start/end bins (in pixels) (mandatory, default value is 10)

-precision
    <float> Estimated precision of the colocalisation function (in pixels). (mandatory, default value is 0)

-mfilter
    <boolean> Filter points according to geographical or sensor based colocalisation (optional, off by default)

-2wgs84
    <boolean> If enabled, points from second image will be exported in WGS84 (optional, off by default)

-elev.dem
    <string> DEM directory (optional, off by default)

-elev.geoid
    <string> Geoid File (optional, off by default)

-elev.default
    <float> Default elevation (mandatory, default value is 0)

 -out <string> Output file with tie points (mandatory)

-outvector
    <string> Output vector file with tie points (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_HomologousPointsExtraction -in1 sensor_stereo_left.tif -in2 sensor_stereo_right.tif -mode full -out homologous.txt

SEE ALSO
The full documentation for otbgui_HomologousPointsExtraction is maintained as a Texinfo manual. If the info and otbgui_HomologousPointsExtraction programs are properly installed at your site, the command

    info otbgui_HomologousPointsExtraction

should give you access to the complete manual.